# gio.FileInfo

File Information and Attributes

## Synopsis

gio.FileInfo
gobject.GObject
gio.FileInfo
clear_status
copy_into
dup
get_attribute_as_string
attribute
get_attribute_boolean
attribute
get_attribute_byte_string
attribute
get_attribute_data
attribute
get_attribute_int32
attribute
get_attribute_int64
attribute
get_attribute_object
attribute
get_attribute_status
attribute
get_attribute_string
attribute
get_attribute_type
attribute
get_attribute_uint32
attribute
get_attribute_uint64
attribute
get_content_type
get_display_name
get_edit_name
get_etag
get_file_type
get_icon
get_is_backup
get_is_hidden
get_is_symlink
get_modification_time
get_name
get_size
get_sort_order
get_symlink_target
has_attribute
attribute
list_attributes
name_space
remove_attribute
attribute
set_attribute
attribute
type
value_p
set_attribute_boolean
attribute
attr_value
set_attribute_byte_string
attribute
attr_value
set_attribute_data
attribute
attr_value
set_attribute_int32
attribute
attr_value
set_attribute_int64
attribute
attr_value
set_attribute_mask
mask
set_attribute_object
attribute
attr_value
set_attribute_status
attribute
attr_value
set_attribute_string
attribute
attr_value
set_attribute_uint32
attribute
set_attribute_uint64
attribute
set_content_type
content_type
set_display_name
display_name
set_edit_name
edit_name
set_file_type
type
set_icon
icon
set_is_hidden
is_hidden
set_is_symlink
is_symlink
set_modification_time
mtime
set_name
name
set_size
size
set_sort_order
sort_order
set_symlink_tarset
symlink_target
unset_attribute_mask

## Ancestry

    +-- gobject.GObject
      +-- gio.FileInfo

## Description

Functionality for manipulating basic metadata for files. `gio.FileInfo` implements methods for getting information that all files should contain, and allows for manipulation of extended attributes.

See `gio.FileAttribute` for more information on how GIO handles file attributes.

To obtain a `gio.FileInfo` for a `gio.File`, use `gio.File.query_info`() (or its async variant). To obtain a `gio.FileInfo` for a file input or output stream, use `gio.FileInputStream.query_info`() or `gio.FileOutputStream.query_info`() (or their async variants).

To change the actual attributes of a file, you should then set the attribute in the `gio.FileInfo` and call `gio.File.set_attributes_from_info`() or `gio.File.set_attributes_async`() on a `gio.File`.

However, not all attributes can be changed in the file. For instance, the actual size of a file cannot be changed via `gio.FileInfo.set_size`(). You may call `gio.File.query_settable_attributes`() and `gio.File.query_writable_namespace`() to discover the settable attributes of a particular file at runtime.

`gio.FileAttributeMatcher` allows for searching through a GFileInfo for attributes.

## Constructor

                gio.FileInfo

Returns :

  a new `gio.FileInfo`

Creates a new `gio.FileInfo`

## Methods

Unfinished section, you may want to see the relevant C API docs for methods descriptions.